MultipleIterator::getFlags
MultipleIterator::next
MultipleIterator
PHP Manual

# MultipleIterator::key

Gets the registered iterator instances

### Description

public array MultipleIterator::key ( void )

Get the registered iterator instances key() result.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

An array of all registered iterator instances, or `FALSE` if no sub iterator is attached.

### Errors/Exceptions

A LogicException if mode `MIT_NEED_ALL` is set, and at least one attached iterator is not valid.

Calling this method from foreach triggers warning "Illegal type returned".

### See Also

- MultipleIterator::current